Bug 250523 - mw03:Text in the text box is not displaying
Summary: mw03:Text in the text box is not displaying
Status: VERIFIED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: doc (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-08 07:20 UTC by swathi
Modified: 2011-05-27 14:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data to be opened in Kword (23.00 KB, application/msword)
2010-09-08 07:20 UTC, swathi
Details
Screenshot of the document in MS Word 2003 (48.68 KB, image/x-png)
2010-09-08 07:24 UTC, swathi
Details
Screenshot of the document in Kword (139.93 KB, image/x-png)
2010-09-08 07:32 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2010-09-08 07:20:54 UTC
Created attachment 51411 [details]
Test data to be opened in Kword

Version:           svn (Rev:1172006) (using KDE 4.4.3) 
OS:                Kubuntu 10.04

Attached test data is in MS Word 2003 format which has text boxes with text in it.
When i opened the same document in Kword,Text is not displaying.
Only empty text boxes are displaying.

Expected outcome:
Text boxes should be displayed with text in it,as like in the original document.
Comment 1 swathi 2010-09-08 07:24:02 UTC
Created attachment 51412 [details]
Screenshot of the document in MS Word 2003
Comment 2 swathi 2010-09-08 07:27:23 UTC
Converted the test data to .odt file using koconverter.
OOWriter loads the document as like Kword(Here also text in the text box is not displaying).

Guessing it to be a filter problem.
Comment 3 swathi 2010-09-08 07:32:10 UTC
Created attachment 51413 [details]
Screenshot of the document in Kword
Comment 4 Matus Uzak 2011-04-28 17:22:58 UTC
Git commit f84e0fa614b74f40fc4c8e8b32611e8348f48ed1 by Matus Uzak.
Committed on 28/04/2011 at 17:22.
Pushed by uzak into branch 'master'.

DOC: Improved processing of group shapes.

* Added support for the REF_WITHOUT_KEYWORD field.

* Preparing a graphic style for the draw:g element.  It's required for correct positioning in case of floating object.
  Wrapping and positioning attributes are not required in graphic styles of child shapes.  Also the child element does
  not require the draw:anchor-type and draw:z-index attributes.

* Setting draw:auto-grow-height and draw:auto-grow-width to false by default in libmso.  It's absence seems to affect
  the layout of floating objects.  The logic to set those attributes remains a TODO!

BUG:250523

M  +2    -0    filters/libmso/ODrawToOdf.cpp     
M  +32   -7    filters/words/msword-odf/graphicshandler.cpp     
M  +5    -1    filters/words/msword-odf/graphicshandler.h     
M  +2    -0    filters/words/msword-odf/texthandler.cpp     
M  +1    -1    filters/words/msword-odf/texthandler.h     

http://commits.kde.org/calligra/f84e0fa614b74f40fc4c8e8b32611e8348f48ed1
Comment 5 swathi 2011-05-27 14:39:25 UTC
Verified in 70e1b6e65bcc89bffdd1ba4c9903469827c2c213.
But ? is displaying in one of the text box,it will be detailed as a seperate bug.